Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.portlet.context
Class PortletUtil

    java.lang.Object
      org.apache.tiles.portlet.context.PortletUtil

    public final class PortletUtil

extends java.lang.Object

Utilities for Tiles portlet support.

Since:
  2.0.6
Version:
  $Rev: 818809 $ $Date: 2009-09-25 12:25:04 +0200 (ven, 25 set 2009) $

Method Summary
`static ArrayStack<java.lang.Object>` | `getComposeStack(javax.portlet.PortletRequest request)` Returns the compose stack, that is used by the tags to compose definitions, attributes, etc.
`static TilesContainer` | `getContainer(javax.portlet.PortletContext context)` Returns the default Tiles container.
`static TilesContainer` | `getContainer(javax.portlet.PortletContext context, java.lang.String key)` Returns a specific Tiles container.
`static TilesContainer` | `getCurrentContainer(javax.portlet.PortletRequest request, javax.portlet.PortletContext context)` Returns the current container that has been set, or the default one.
`static boolean` | `isForceInclude(javax.portlet.PortletRequest request)` Returns true if forced include of the result is needed.
`static void` | `setContainer(javax.portlet.PortletContext context, TilesContainer container)` Configures the default container to be used in the application.
`static void` | `setContainer(javax.portlet.PortletContext context, TilesContainer container, java.lang.String key)` Configures the container to be used in the application.
`static void` | `setCurrentContainer(javax.portlet.PortletRequest request, javax.portlet.PortletContext context, java.lang.String key)` Sets the current container to use in web pages.
`static void` | `setCurrentContainer(javax.portlet.PortletRequest request, javax.portlet.PortletContext context, TilesContainer container)` Sets the current container to use in web pages.
`static void` | `setForceInclude(javax.portlet.PortletRequest request, boolean forceInclude)` Sets the option that enables the forced include of the response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isForceInclude

    public static boolean isForceInclude(javax.portlet.PortletRequest request)

  Returns true if forced include of the result is needed.

  Parameters:
    `request` - The portlet request.
  Returns:
    If `true` the include operation must be forced.
  Since:
    2.0.6

### setForceInclude

    public static void setForceInclude(javax.portlet.PortletRequest request,
                                       boolean forceInclude)

  Sets the option that enables the forced include of the response.

  Parameters:
    `request` - The portlet request.
    `forceInclude` - If `true` the include operation must be forced.
  Since:
    2.0.6

### getContainer

    public static TilesContainer getContainer(javax.portlet.PortletContext context)

  Returns the default Tiles container.

  Parameters:
    `context` - The portlet context to use.
  Returns:
    The default Tiles container.
  Since:
    2.1.2

### getContainer

    public static TilesContainer getContainer(javax.portlet.PortletContext context,
                                              java.lang.String key)

  Returns a specific Tiles container.

  Parameters:
    `context` - The portlet context to use.
    `key` - The key under which the container is stored. If null, the default container will be returned.
  Returns:
    The requested Tiles container.
  Since:
    2.1.2

### setContainer

    public static void setContainer(javax.portlet.PortletContext context,
                                    TilesContainer container)

  Configures the default container to be used in the application.

  Parameters:
    `context` - The portlet context object to use.
    `container` - The container object to set.
  Since:
    2.1.2

### setContainer

    public static void setContainer(javax.portlet.PortletContext context,
                                    TilesContainer container,
                                    java.lang.String key)

  Configures the container to be used in the application.

  Parameters:
    `context` - The portlet context object to use.
    `container` - The container object to set.
    `key` - The key under which the container will be stored.
  Since:
    2.1.2

### setCurrentContainer

    public static void setCurrentContainer(javax.portlet.PortletRequest request,
                                           javax.portlet.PortletContext context,
                                           java.lang.String key)

  Sets the current container to use in web pages.

  Parameters:
    `request` - The request to use.
    `context` - The portlet context to use.
    `key` - The key under which the container is stored.
  Since:
    2.1.0

### setCurrentContainer

    public static void setCurrentContainer(javax.portlet.PortletRequest request,
                                           javax.portlet.PortletContext context,
                                           TilesContainer container)

  Sets the current container to use in web pages.

  Parameters:
    `request` - The request to use.
    `context` - The portlet context to use.
    `container` - The container to use as the current container.
  Since:
    2.1.0

### getCurrentContainer

    public static TilesContainer getCurrentContainer(javax.portlet.PortletRequest request,
                                                     javax.portlet.PortletContext context)

  Returns the current container that has been set, or the default one.

  Parameters:
    `request` - The request to use.
    `context` - The portlet context to use.
  Returns:
    The current Tiles container to use in web pages.
  Since:
    2.1.0

### getComposeStack

    public static ArrayStack<java.lang.Object> getComposeStack(javax.portlet.PortletRequest request)

  Returns the compose stack, that is used by the tags to compose definitions, attributes, etc.

  Parameters:
    `request` - The portlet request.
  Returns:
    The compose stack.
  Since:
    2.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.